#
# spec file for package ircd (Version 2.10.3)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         ircd
Summary:      Internet Relay Chat Server
License:      GPL
Group:        Productivity/Networking/IRC
Provides:     IRCD irc2.10.3 
Autoreqprov:  on
Version:      2.10.3
Release:      482
Source:       irc2.10.3.tar.bz2
Patch:        irc2.10.3.dif
Patch1:       ircd-enable-kill.dif
Patch2:       irc2.10.3-m_join.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%prep
%setup -n irc2.10.3
%patch -p1
%patch1 -p1
%patch2
(cd support/
%{?suse_update_config})

%build
CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE" \
	./configure --prefix=/usr \
		--mandir=%{_mandir} \
		--localstatedir=/var/run \
		--sysconfdir=/etc/ircd \
		--logdir=/var/log/ircd
cd `support/config.guess`
make server 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/ircd/
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/var/log/ircd
cd `support/config.guess`
chmod 700 $RPM_BUILD_ROOT/etc/ircd/
make DEST=$RPM_BUILD_ROOT install-server
cd ..
install -m 744 ircd.startup $RPM_BUILD_ROOT/etc/init.d/ircd
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 600 ircd.conf $RPM_BUILD_ROOT/etc/ircd/ircd.conf
install -m 600 ircd.motd $RPM_BUILD_ROOT/etc/ircd/ircd.motd
ln -s ../../etc/init.d/ircd $RPM_BUILD_ROOT/usr/sbin/rcircd

%post
%{fillup_and_insserv ircd}

%preun
%insserv_cleanup

%postun
sbin/insserv etc/init.d

%files
%doc doc/*
%dir /var/log/ircd
/etc/init.d/ircd
/usr/sbin/rcircd
/usr/sbin/ircd
/usr/sbin/iauth
/usr/sbin/ircd-mkpasswd
/usr/sbin/ircdwatch
/usr/sbin/chkconf
%attr(750,irc,root) %dir /etc/ircd
%attr(640,irc,root) /etc/ircd/ircd.m4
%attr(640,irc,root) /etc/ircd/example.conf
%config(noreplace) %attr(640,irc,root) /etc/ircd/ircd.conf
%config(noreplace) %attr(640,irc,root) /etc/ircd/ircd.motd
%config(noreplace) %attr(640,irc,root) /etc/ircd/iauth.conf
%doc %{_mandir}/man8/*.8*

%description
Ircd is the server (daemon) program for the Internet Relay
Chat Program.

Authors:
--------
    Christophe Kalt <ircd-dev@irc.org>

SuSE series: n


%changelog -n ircd
* Mon Oct 13 2003 - mmj@suse.de
- Apply patch to prevent buffer overflow in m_join()
* Thu Jan 31 2002 - mmj@suse.de
- Fixed init script Bugzilla #9041
* Thu Jan 10 2002 - egmont@suselinux.hu
- Changed /sbin/init.d to /etc/init.d in init script comment
* Mon Dec 03 2001 - mmj@suse.de
- Killed START_IRCD
* Fri Jul 06 2001 - mmj@suse.de
- Fixed init script wrt. reload. Bugzilla #9196
* Fri Jun 22 2001 - mmj@suse.de
- Fixed to compile on beta-i386 and beta-ia64
* Thu Jun 21 2001 - olh@suse.de
- fix startup scripts
* Wed May 09 2001 - mmj@suse.de
- Don't start in runlevel 2 (bugzilla #7955)
- Bzipped source
* Mon Apr 16 2001 - mmj@suse.de
- Enabled some ircop functions
* Tue Jan 02 2001 - olh@suse.de
- correct %%post
* Mon Nov 27 2000 - olh@suse.de
- update specfile again to reflect todays version of lsb
* Wed Nov 22 2000 - olaf@suse.de
- implement new startup scripts
* Tue Aug 29 2000 - daniele@suse.de
- moved documentation from doc/ to .
* Mon May 01 2000 - olh@suse.de
- move config to /etc/ircd, update to version 2.10.3
* Sat Mar 04 2000 - olh@suse.de
- move manpages, use buildroot
* Wed Mar 01 2000 - werner@suse.de
- Use suse_update_config
- Use RPM_OPT_FLAGS
- Set Group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 08 1999 - lr@suse.de
- iauth and some other services included
* Tue Feb 23 1999 - ro@suse.de
- compile with -D_GNU_SOURCE to get POLLWRNORM with glibc-2.1
* Mon Feb 15 1999 - lr@suse.de
- New version 2.10.2 with new features ... some security-fixes
* Thu Dec 10 1998 - lr@suse.de
- added /usr/sbin/rcircd and reload / status to start-skript
* Wed Nov 25 1998 - lr@suse.de
- changed init-script to new mimicry
* Tue Aug 25 1998 - ro@suse.de
- chown of /usr/sbin/ircd done in install, not in post
* Tue Jul 28 1998 - bs@suse.de
- added %%dir /usr/lib/ircd to file list.
* Tue Jun 30 1998 - bs@suse.de
- changed gid of /usr/sbin/ircd from nogroup to root
* Mon Jun 08 1998 - lr@suse.de
- some improvements in building the rpm-package
* Thu May 28 1998 - lr@suse.de
- build the package for the first time
